Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886213 - Need to disable HTX when not using HTTP/2 in order to preserve HTTP header name case
Summary: Need to disable HTX when not using HTTP/2 in order to preserve HTTP header na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Miciah Dashiel Butler Masters
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1885414
Blocks: 1886214
TreeView+ depends on / blocked
 
Reported: 2020-10-07 23:41 UTC by OpenShift BugZilla Robot
Modified: 2020-11-30 16:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 16:45:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 199 0 None closed [release-4.6] Bug 1886213: haproxy-config.template: Only enable HTX for HTTP/2 2021-02-16 16:33:46 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:46:18 UTC

Comment 1 Miciah Dashiel Butler Masters 2020-10-26 05:19:01 UTC
Fix is posted but blocked on 4.6.0 GA and bug 1887935 and will need cherry-pick-approved label.  We'll try to get this done in the upcoming sprint.

Comment 2 Miciah Dashiel Butler Masters 2020-11-06 06:44:28 UTC
Dropping dependency on bug 1887935 because openshift-ci-robot does not like a 4.6.z BZ to depend on another 4.6.z BZ (see <https://github.com/openshift/router/pull/199#issuecomment-722808226>).

Comment 3 Miciah Dashiel Butler Masters 2020-11-14 00:49:59 UTC
The bump to HAProxy 2.2 may block this change if the bump affects OCP 4.6 because HAProxy 2.2 removes the "http-use-htx" option (see bug 1897039).  Need to investigate in the upcoming sprint.

Comment 4 Miciah Dashiel Butler Masters 2020-11-16 22:00:09 UTC
(In reply to Miciah Dashiel Butler Masters from comment #3)
> The bump to HAProxy 2.2 may block this change if the bump affects OCP 4.6
> because HAProxy 2.2 removes the "http-use-htx" option (see bug 1897039). 
> Need to investigate in the upcoming sprint.

The bump to HAProxy 2.2 only affects OpenShift 4.7 because it requires a change to the Dockerfiles, and that change has not been backported to the release-4.6 branch, so we can go ahead with turning off HTX in 4.6.

Comment 5 Miciah Dashiel Butler Masters 2020-11-16 22:01:54 UTC
The 4.6 fix is just blocked on cherry-pick approval.

Comment 7 Arvind iyengar 2020-11-23 03:25:17 UTC
This bug has been verified as per the pre-merge verification testing workflow.

Comment 10 errata-xmlrpc 2020-11-30 16:45:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.